Status: Closed Start date: Oct 19, 2018

Priority: Normal Due date: Nov 19, 2018

Assignee: Andrea Dell'Amico % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: DataMiner - Pre Installed Software

support

  

Infrastructure: Development, Pre-Production   

Description

We have decided to support with DataMiner python 3.6.

So in order to test if the algorithms created for python 3.6 work we need to install python 3.6 on the dev and preprod machines:

dataminer1-pre

dataminer1-d-d4s

Related issues:

Related to D4Science Infrastructure - Task #12789: DMPoolManger - Support Pyt... Closed Oct 26, 2018 Nov 19, 2018

History

#1 - Oct 19, 2018 03:59 PM - Giancarlo Panichi

- Description updated

#2 - Oct 19, 2018 04:00 PM - Giancarlo Panichi

- Description updated

#3 - Oct 19, 2018 04:08 PM - Giancarlo Panichi

The request is described in this ticket #12642

#5 - Oct 24, 2018 02:07 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#6 - Oct 24, 2018 07:07 PM - Andrea Dell'Amico

- % Done changed from 0 to 30

python 3.6 is installed on dataminer1-d-d4s.d4science.org, dataminer2-d-d4s.d4science.org, dataminer1-devnext.d4science.org. 

The same set of packages installed for python 2.7 has been installed for python 3.6. If you want to install new packages, as root:

pip3.6 install <packagename>

 The interpreter command name is python3.6.

#7 - Oct 25, 2018 11:54 AM - Giancarlo Panichi

Hi @andrea.dellamico@isti.cnr.it ,please install it also on dataminer1-pre

because currently StorageHub only runs on Preproduction.

#8 - Oct 25, 2018 12:41 PM - Andrea Dell'Amico

Done.

#9 - Oct 26, 2018 12:27 PM - Giancarlo Panichi

- Related to Task #12789: DMPoolManger - Support Python 3.6 added

#10 - Nov 07, 2018 10:20 AM - Andrea Dell'Amico

@g.panichi@isti.cnr.it any news on this one?
#11 - Nov 07, 2018 10:27 AM - Giancarlo Panichi

As it is written in the ticket #12789 is being tested, if it works it will be released in gCube 4.13, not before.

#12 - Nov 07, 2018 11:06 AM - Andrea Dell'Amico

OK for the DM part, but the python installation is independent from that: it does not clash with anything else, so it can be provisioned as soon as the

tests are complete.

#13 - Nov 07, 2018 11:09 AM - Giancarlo Panichi

Yes, you can provision it first but in facts it can not be used before gCube 4.13.

#14 - Nov 07, 2018 11:15 AM - Andrea Dell'Amico

I understand. Do I need to wait for your tests to be complete, or can I start the deployment? It's going to take some time, so we have to do it at least

some days before the 4.13 release upgrade.

#15 - Nov 07, 2018 11:21 AM - Giancarlo Panichi

You can organize this activity as you see fit.

#16 - Nov 07, 2018 04:14 PM - Andrea Dell'Amico

OK, I just started the installation.

#17 - Nov 07, 2018 04:49 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 30 to 100

python 3.6 is installed on every dataminer.

#18 - Nov 22, 2018 03:47 PM - Giancarlo Panichi

- Due date set to Nov 19, 2018

- Status changed from Feedback to Closed

The DMPoolManager was released in gCube 4.13.

Now, it is possible to create algorithms for Python 3.6 specifically through SAI, in all VREs in Production.

If there are already written python algorithms that need to be converted to python 3.6 it is necessary to open a ticket indicating the algorithm the

project folder and all the related information, so we can convert it.

So I close this ticket.
